Get a specific run
curl --request GET \
--url https://api.lunary.ai/v1/runs/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"projectId": "<string>",
"isPublic": true,
"feedback": {
"thumb": "up",
"comment": "<string>"
},
"parentFeedback": {
"thumb": "up",
"comment": "<string>"
},
"type": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"duration": 123,
"templateVersionId": "<string>",
"templateSlug": "<string>",
"cost": 123,
"tokens": {
"completion": 123,
"prompt": 123,
"total": 123
},
"tags": [
"<string>"
],
"input": {},
"output": {},
"error": {},
"status": "<string>",
"siblingRunId": "<string>",
"params": {},
"metadata": {},
"firstMessage": {},
"messagesCount": 123,
"user": {
"id": "<string>",
"externalId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastSeen": "2023-11-07T05:31:56Z",
"props": {}
},
"traceId": "<string>"
}Runs
Get a specific run
Retrieve detailed information about a specific run by its ID.
GET
/
v1
/
runs
/
{id}
Get a specific run
curl --request GET \
--url https://api.lunary.ai/v1/runs/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"projectId": "<string>",
"isPublic": true,
"feedback": {
"thumb": "up",
"comment": "<string>"
},
"parentFeedback": {
"thumb": "up",
"comment": "<string>"
},
"type": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"endedAt": "2023-11-07T05:31:56Z",
"duration": 123,
"templateVersionId": "<string>",
"templateSlug": "<string>",
"cost": 123,
"tokens": {
"completion": 123,
"prompt": 123,
"total": 123
},
"tags": [
"<string>"
],
"input": {},
"output": {},
"error": {},
"status": "<string>",
"siblingRunId": "<string>",
"params": {},
"metadata": {},
"firstMessage": {},
"messagesCount": 123,
"user": {
"id": "<string>",
"externalId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastSeen": "2023-11-07T05:31:56Z",
"props": {}
},
"traceId": "<string>"
}Authorizations
Use a project private API key via Authorization: Bearer <key>.
Path Parameters
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
First message captured in the conversation thread, when available.
Total number of messages within the conversation thread.
Show child attributes
Show child attributes